> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Approved Prices

> List approved prices for the authenticated caller's organization.



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/approved_prices
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/approved_prices:
    get:
      tags:
        - approved_prices
      summary: List Approved Prices
      description: List approved prices for the authenticated caller's organization.
      operationId: list_approved_prices_v1_approved_prices_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: approved_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved After
        - name: approved_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved Before
        - name: effective_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Effective After
        - name: effective_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Effective Before
        - name: grid_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Grid Id
        - name: store_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Store Id
        - name: item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Item Id
        - name: sku
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sku
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovedPricesListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApprovedPricesListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ApprovedPriceListItem'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      title: ApprovedPricesListResponse
      description: '``GET /v1/approved_prices`` response envelope.'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApprovedPriceListItem:
      properties:
        id:
          type: integer
          title: Id
        grid_id:
          type: string
          format: uuid
          title: Grid Id
        grid_item_id:
          type: integer
          title: Grid Item Id
        item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Id
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        store_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Store Id
        current_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Current Price
        proposed_price:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Proposed Price
        approved_price:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Approved Price
        effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Effective Date
        currency_code:
          type: string
          title: Currency Code
        proposal_source:
          anyOf:
            - type: string
              enum:
                - dp
                - po
                - po_dp
            - type: 'null'
          title: Proposal Source
        source:
          type: string
          enum:
            - dp
            - po
            - po_dp
            - user_defined
          title: Source
        trace:
          items:
            $ref: '#/components/schemas/ApprovedPriceTraceItem'
          type: array
          title: Trace
        approved_at:
          type: string
          format: date-time
          title: Approved At
        approved_by_user_id:
          type: string
          format: uuid
          title: Approved By User Id
      type: object
      required:
        - id
        - grid_id
        - grid_item_id
        - proposed_price
        - approved_price
        - currency_code
        - source
        - approved_at
        - approved_by_user_id
      title: ApprovedPriceListItem
      description: Public approved-price response row.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ApprovedPriceTraceItem:
      properties:
        source:
          type: string
          enum:
            - dp
            - po
          title: Source
        column_key:
          type: string
          title: Column Key
        source_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Job Id
        payload:
          anyOf:
            - {}
            - type: 'null'
          title: Payload
      type: object
      required:
        - source
        - column_key
      title: ApprovedPriceTraceItem
      description: One trace item attached to an approved price.

````